package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UsersRequest extends BaseRequest {

    private Long id;
    private String username;
    private String password;
    private Long instansiId;
    private String instansi;
    private Long bidangId;
    private String bidang;
    private String nama;
    private String jabatan;
    private Long roleId;
    private String role;
    private String email;
    private Boolean isActive;
    private String search;
    private transient Pageable pageable;
}
