package com.iconplus.smartproc.repository;

import com.iconplus.smartproc.model.entity.Menus;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface MenusRepository extends JpaRepository<Menus, Long> {

    List<Menus> findByIsDeleteFalse();
    Optional<Menus> findByIdAndIsDeleteFalse(Long id);

}
