package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PermissionResponse extends BaseResponse {

    private Long id;
    private Long parentId;
    private Long menuId;
    private String menu;
    private Boolean canView;
    private Boolean canCreate;
    private Boolean canRead;
    private Boolean canDelete;
    private Boolean canUpdate;
}
