package com.iconplus.smartproc.util;

import com.iconplus.smartproc.exception.TechnicalException;

import java.sql.Clob;
import java.sql.SQLException;

public class CommonUtil {
    private CommonUtil() {
    }

    public static String clobToString(Clob input) {
        try {
            if (input != null) {
                return input.getSubString(1, (int) input.length());
            } else {
                return null;
            }
        } catch (SQLException exception) {
            throw new TechnicalException(Constants.ERR_TTL_40041,
                    Constants.ERR_TTL_40041,
                    Constants.ERR_MSG_40041);
        }
    }
}
